cdi Posté(e) le 26 mai 2006 Posté(e) le 26 mai 2006 Bonjour rebonjour Sur ce prog ci qu'est-ce qui ne va pas ............................d'apès vous. ;Tip1781: VALVE.LSP INSERT VALVES ©2002, Badr Bayoumi (defun WELDST () (setq DCL_ID (load_dialog "P&ID.dcl")) (if (not (new_dialog "fl11" DCL_ID)) (exit) ) ;_ end of if (setq CN 1) (repeat 18 ;repeat slide drawing (setq X (dimx_tile (strcat "ve" (itoa CN))) Y (dimy_tile (strcat "ve" (itoa CN))) ) ;_ end of setq (start_image (strcat "ve" (itoa CN))) (slide_image 0 0 X Y (strcat "pid1(v" (itoa CN) ")")) ; start the slide from the slide library pid1 (end_image) (setq CN (1+ CN)) ) ;to make slide librari : make a text file contaning the slide and from dos write the flowiing :C:\Program Files\ACAD......................ok\Tip1781\Slidelib pid1 (action_tile "cancel" "(done_dialog 0)(setq ext 0)") (action_tile "accept" "(ch_input)") (action_tile "ve1" "(ch1 0)") (action_tile "ve2" "(ch1 1)") (action_tile "ve3" "(ch1 2)") (action_tile "ve4" "(ch1 3)") (action_tile "ve5" "(ch1 4)") (action_tile "ve6" "(ch1 5)") (action_tile "ve7" "(ch1 6)") (action_tile "ve8" "(ch1 7)") (action_tile "ve9" "(ch1 8)") (action_tile "ve10" "(ch1 9)") (action_tile "ve11" "(ch1 10)") (action_tile "ve12" "(ch1 11)") (action_tile "ve13" "(ch1 12)") (action_tile "ve14" "(ch1 13)") (action_tile "ve15" "(ch1 14)") (action_tile "ve16" "(ch1 15)") (action_tile "ve17" "(ch1 16)") (action_tile "ve18" "(ch1 17)") (setq FS1 (list "Angle Globe" "Ball Rotary" "Butterfly" "Check" "Control" "Diaphragm" "Flush bottom" "Gate" "Globe" "Needle" "Plug" "Quick Opening" "Safty" "Stop Check" "Vacum Breake" "Pattern Globe" "3-Way" "4-Way" ) ;_ end of list ) ;_ end of setq (start_list "Pt_d") (mapcar 'add_list FS1) (end_list) (action_tile "Pt_d" "(list1)") (start_dialog) (unload_dialog DCL_ID)) ;_ end of defun(defun CH_INPUT () (setq EXT 1) (setq POS (atoi (get_tile "Pt_d"))) (setq PP (+ 1 POS)) (done_dialog)) ;_ end of defun(defun LIST1 () (setq POS (atoi (get_tile "Pt_d"))) (CH1 POS))(defun CH1 (VV) (setq POS1 (itoa (1+ VV))) (IMAG) (start_image (strcat "ve" POS1)) (fill_image 0 0 X Y 1) (slide_image 0 0 X Y (strcat "pid1(v" (itoa (+ 1 VV)) ")")) (end_image) (set_tile "Pt_d" (strcat (itoa VV))) ;(set_tile "Pt_d" "0" )) ;_ end of defun (defun IMAG () (setq CNT 1) (repeat 18 (start_image (strcat "ve" (itoa CNT))) (fill_image 0 0 X Y 0) (slide_image 0 0 X Y (strcat "pid1(v" (itoa CNT) ")")) (end_image) (setq CNT (+ 1 CNT)) ) ; this subroten convert all side librari in to black color) ;_ end of defun(defun DRWW () (setq SP (getpoint "\nEnter start point :")) (if (= PP 1) (command "_.Insert" "AngleGlobes" SP) ) ;_ end of if (if (= PP 2) (command "_.Insert" "Ballrotary" SP) ) ;_ end of if (if (= PP 3) (command "_.Insert" "butterfly" SP) ) ;_ end of if (if (= PP 4) (command "_.Insert" "Check" SP) ) ;_ end of if (if (= PP 5) (command "_.Insert" "controls" SP) ) ;_ end of if (if (= PP 6) (command "_.Insert" "diaphram" SP) ) ;_ end of if (if (= PP 7) (command "_.Insert" "tankvalve" SP) ) ;_ end of if (if (= PP 8) (command "_.Insert" "gate" SP) ) ;_ end of if (if (= PP 9) (command "_.Insert" "globes" SP) ) ;_ end of if (if (= PP 10) (command "_.Insert" "needle" SP) ) ;_ end of if (if (= PP 11) (command "_.Insert" "plug" SP) ) ;_ end of if (if (= PP 12) (command "_.Insert" "quickops" SP) ) ;_ end of if (if (= PP 13) (command "_.Insert" "saf-rels" SP) ) ;_ end of if (if (= PP 14) (command "_.Insert" "stopcheck" SP) ) ;_ end of if (if (= PP 15) (command "_.Insert" "vacumbreaker" SP) ) ;_ end of if (if (= PP 16) (command "_.Insert" "patternglobe" SP) ) ;_ end of if (if (= PP 17) (command "_.Insert" "3way" SP) ) ;_ end of if (if (= PP 18) (command "_.Insert" "4way" SP) ) ;_ end of if (setq PP 0)) ;_ end of defun (defun C:VALVE () (WELDST) (if (> PP 0) (DRWW) ) ;_ end of if) ;_ end of defun(terpri)(prompt "\nType to run ")
(gile) Posté(e) le 26 mai 2006 Posté(e) le 26 mai 2006 Difficile à dire comme çà :casstet: As tu le fichier" P&ID.dcl" qui va avec ? Si oui, est-il dans un dossier du chemin de recherche des fichiers de support ? As tu la librairie de diapositives (pid1.slb) qui va avec ? Si oui, est-il dans un dossier du chemin de recherche des fichiers de support ? Plus généralement, quel message d'erreur as-tu quand tu essayes de lancer le LISP ? Gilles Chanteau - gileCAD - GitHub Développements sur mesure pour AutoCAD
cdi Posté(e) le 26 mai 2006 Auteur Posté(e) le 26 mai 2006 Ok Je comprends gile Alors tu vas voir toi-même ce n'est pas une erreur.ci jont la totalité du fichier à répartir bien évidemment http://helloasso.celeonet.fr/modules/archives/download.php? id=8
cdi Posté(e) le 26 mai 2006 Auteur Posté(e) le 26 mai 2006 excusez pour ce lien capricieux....................voici http://helloasso.celeonet.fr/modules/archives/download.php? id=8
cdi Posté(e) le 26 mai 2006 Auteur Posté(e) le 26 mai 2006 décidément après le déjeuner.............enfin.vous m'avez compris http://helloasso.celeonet.fr/modules/archives/download.php?id=8
(gile) Posté(e) le 26 mai 2006 Posté(e) le 26 mai 2006 Chez moi çà fonctionne, je ne vois pas où est le problème. Si tu ne dis pas précisément ce que tu veux, je ne peux pas t'aider. Je ne comprends pas l'enigme, je ne suis pas plombier, je suis menuisier, ceci explique peut-être celà. ;) Gilles Chanteau - gileCAD - GitHub Développements sur mesure pour AutoCAD
cdi Posté(e) le 26 mai 2006 Auteur Posté(e) le 26 mai 2006 si ça marche déjà c'est rassurant.Donc ça vient de chez moi:je t'explique une fois charge et en place la ligne de commande m'indique ceci Commande:Type to runCommande: et rien de nouveau à l'écran ...............Que faut--il faire que je n e fais pas
cdi Posté(e) le 26 mai 2006 Auteur Posté(e) le 26 mai 2006 Milles escuses GILE PB erreur de ma part :nom de fichierdéformé OK ça marche je remercie j'ai identifié le pb et encore merci.
(gile) Posté(e) le 26 mai 2006 Posté(e) le 26 mai 2006 C'est juste un problème de avec les copier/coller et les bbcodes. À la fin du LISP, il est écrit (prompt "\nType to run ") mais sans les espaces après et au copier/coller dans CADxp tout çà disparaît (c'est interprété comme du html, je crois). Donc dans ce cas là, rien de grave, le LISP fonctionne quand même si tu entres VALVE à la ligne de commande. Tu peux corriger en changeant cette ligne par : (prompt "\nType VALVE to run ") Pour info, dans un LISP la commande à entrer directement à la ligne c'est ce qui est écrit après c: dans la routine de lancement ex : (defun C:VALVE ... Gilles Chanteau - gileCAD - GitHub Développements sur mesure pour AutoCAD
Messages recommandés
Créer un compte ou se connecter pour commenter
Vous devez être membre afin de pouvoir déposer un commentaire
Créer un compte
Créez un compte sur notre communauté. C’est facile !
Créer un nouveau compteSe connecter
Vous avez déjà un compte ? Connectez-vous ici.
Connectez-vous maintenant